<?php
/**
 * Block Patterns
 *
 * @package it-software-service
 * @since 1.0
 */

function it_software_service_register_block_patterns() {
	$it_software_service_block_pattern_categories = array(
		'it-software-service' => array( 'label' => esc_html__( 'IT Software Service', 'it-software-service' ) ),
		'pages' => array( 'label' => esc_html__( 'Pages', 'it-software-service' ) ),
	);

	$it_software_service_block_pattern_categories = apply_filters( 'it_software_service_it_software_service_block_pattern_categories', $it_software_service_block_pattern_categories );

	foreach ( $it_software_service_block_pattern_categories as $name => $properties ) {
		if ( ! WP_Block_Pattern_Categories_Registry::get_instance()->is_registered( $name ) ) {
			register_block_pattern_category( $name, $properties );
		}
	}
}
add_action( 'init', 'it_software_service_register_block_patterns', 9 );